Bug 1501960 - Remove the use of CPU limits by default
Summary: Remove the use of CPU limits by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.6.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 3.6.z
Assignee: Jeff Cantrill
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-13 15:13 UTC by Peter Portante
Modified: 2017-12-07 07:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-12-07 07:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 5748 0 None closed Use "requests" for CPU resources instead of limits 2020-06-25 14:13:36 UTC
Github openshift openshift-ansible pull 5815 0 None closed Use "requests" for CPU resources instead of limits 2020-06-25 14:13:36 UTC
Github openshift origin-aggregated-logging pull 726 0 None closed Fix references to cpu-limits and test environment 2020-06-25 14:13:36 UTC
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Peter Portante 2017-10-13 15:13:03 UTC
We should not be specifying a CPU limit for infrastructure pods by default.  Instead, we should be specifying a proper CPU request to ensure a pod is scheduled on a node where a minimum CPU resources are available.

Comment 1 Jeff Cantrill 2017-10-16 18:36:02 UTC
Adding ref to 3.6 origin logging PR. Needed before ansible change. openshift/origin-aggregated-logging/pull/726

Comment 2 openshift-github-bot 2017-10-20 20:58:01 UTC
Commit pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/578ac5b348fa3e9c7d0d05e3a0f579839ecd79dd
Use "requests" for CPU resources instead of limits

We now use a CPU request to ensure logging infrastructure pods are
not capped by default for CPU usage. It is still important to ensure
we have a minimum amount of CPU.

We keep the use of the variables *_cpu_limit so that the existing
behavior is maintained.

Note that we don't want to cap an infra pod's CPU usage by default,
since we want to be able to use the necessary resources to complete
it's tasks.

Bug 1501960 (https://bugzilla.redhat.com/show_bug.cgi?id=1501960)

Comment 4 Junqi Zhao 2017-10-24 06:52:06 UTC
Please change to ON_QA, issue is fixed
Tested scenarios:
1. ops enabled cluster
2. mux client

It uses "resources.requests.cpu" for CPU resources instead of "resources.limits.cpu" now

But there is one defect: https://bugzilla.redhat.com/show_bug.cgi?id=1505683, 
this defect is not related to BZ 1501960, so close BZ 1501960.


images:
logging-kibana:v3.6.173.0.59-1
logging-elasticsearch:v3.6.173.0.59-1
logging-fluentd:v3.6.173.0.59-1
logging-auth-proxy:v3.6.173.0.59-1
logging-curator:v3.6.173.0.59-1


# rpm -qa | grep openshift-ansible
openshift-ansible-filter-plugins-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-docs-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-lookup-plugins-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-callback-plugins-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-playbooks-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-3.6.173.0.59-1.git.0.0e31372.el7.noarch
openshift-ansible-roles-3.6.173.0.59-1.git.0.0e31372.el7.noarch

Comment 5 Junqi Zhao 2017-10-25 00:22:03 UTC
set it to VERIFIED as per Comment 4

Comment 8 errata-xmlrpc 2017-12-07 07:13:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.